1- Please make sure to enter backend folder, and run npm install to download all the packages needed
2- Run the backend application on Port 3000
3- Please also enter the frontend folder and install all the packages needed also by npm install
4- Run the frontend application also by npm install but now on Port 3001
5- Happy coding From Hamzah, Amer and Bahaa!!g